//this file is part of eMule
//Copyright (C)2002 Merkur ( merkur-@users.sourceforge.net / http://www.emule-project.net )
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

/**
 * @brief Short status dump of the socket 
 *
 * @return void
 */
void CClientReqSocket::MOD_DbgMiniDump(void)
{
	if (m_tickLastReceivedOP.IsTickSet())
	{
		switch (m_byLastReceivedProt)
		{
		case OP_EDONKEYPROT:
			DebugLog(_T("-- Last received OP: OP_EDONKEYPROT / %s, %s ago"), DbgGetDonkeyClientTCPOpcode(m_byLastReceivedOP), CastSecondsToHM(m_tickLastReceivedOP.Elapsed()));
			break;
		case OP_EMULEPROT:
			DebugLog(_T("-- Last received OP: OP_EMULEPROT / %s, %s ago"), DbgGetMuleClientTCPOpcode(m_byLastReceivedOP), CastSecondsToHM(m_tickLastReceivedOP.Elapsed()));
			break;
		default:
			DebugLog(_T("-- Last received OP: %02X / %02X, %s ago"), m_byLastReceivedProt, m_byLastReceivedOP, CastSecondsToHM(m_tickLastReceivedOP.Elapsed()));
			break;
		}
	}
	else
		DebugLog(_T("-- Last received OP: none"));
	if (m_tickLastSentOP.IsTickSet())
	{
		switch (m_byLastSentProt)
		{
		case OP_EDONKEYPROT:
			DebugLog(_T("-- Last sent OP: OP_EDONKEYPROT / %s, %s ago"), DbgGetDonkeyClientTCPOpcode(m_byLastSentOP), CastSecondsToHM(m_tickLastSentOP.Elapsed()));
			break;
		case OP_EMULEPROT:
			DebugLog(_T("-- Last sent OP: OP_EMULEPROT / %s, %s ago"), DbgGetMuleClientTCPOpcode(m_byLastSentOP), CastSecondsToHM(m_tickLastSentOP.Elapsed()));
			break;
		default:
			DebugLog(_T("-- Last sent OP: %02X / %02X, %s ago"), m_byLastSentProt, m_byLastSentOP, CastSecondsToHM(m_tickLastSentOP.Elapsed()));
			break;
		}
	}
	else
		DebugLog(_T("-- Last sent OP: none"));
}